--File: .\assets\meshes\cars\small\00Hatch\body.lua
---------------------------------------------------
-- Copyright (c) 2014 -- Camshaft Software PTY LTD
-- All Rights Reserved
---------------------------------------------------




Body = 
{
	Name = "00Hatch01",
	
	MeshSkinned = "00Hatch01",
	MeshUnskinned = "00Hatch01_Unskinned",
	
	Thumb = "00Hatch01_5DR_Thumb.jpg",
	ThumbDemo = "00Hatch01_Thumb_Grey.jpg",
	
	MorphWidth = 20,
	WheelBase = 2.50,
	FirewallRatio = 0.2, --How much of this extra length is firewall ?
	RearFirewallRatio =  1.6, --0.1,	RearRatio = 0.42, --How much of this length is grown from the rear?
	RearRatio = 0.48,	MorphNose = 15,
	MorphTail = 10,
	MorphRideHeight = 50,
	
	--Should Cargo Volume subtract from Passenger volume?
	CargoSubtracts = true,
	
	MaxWheelDiameter = 600, --In mm
	MinWheelDiameter = 540, --In mm
	
	--Default Tyre Width when body is loaded in Platform Designer
	DefaultTyreWidth = 185, --In mm
	
	Doors = 4,
	
	SeatOptions = 
	{

		2,
		4,
		5,
	},
	
	BodyBoxes =
	{		--in 3DS	  Width(Y), Height(Z),		Y, Z
		Bottom = { Size = { 402, 79, }, Pos = { -6.584, 36.617  }  },
		Top = { Size = { 291, 43 }, Pos = { 40, 97 } },
	},
	

	Year = 1995,
	
	--Drag Values & Lift Values
	Cd = 0.235,
	ClFront = -0.0431,
	ClRear = -0.0237,
	
	Materials = 
	{
		ECS_BODY,
		ECS_BODY,
		ECS_BODY,
		ECS_PLASTIC,
		ECS_GLASS,
		ECS_SEAM, --Front Seam 
		ECS_SEAM, -- Middle Seam
		ECS_BODY, 
		ECS_SEAM,  --REAR SEAM
		ECS_CHROME,	
		ECS_TRANSPARENT,
		ECS_CARGO,
		
	},
	
	ProjectionMaterials =
	{
		Front = 1,
		Middle = 2,
		Rear = 3,
	},
	
	ProjectionSeamMaterials =
	{
		Front = 6,
		Middle = 7,
		Rear = 9,
	},		
	
}